import os

from PyQt5.QtCore import QSettings
from PyQt5.QtWidgets import QDialog, QFileDialog
from qgis.core import QgsMessageLog
from ..db import get_connection


class DlgWithShpLoader(object):
    def __init__(self):
        print(self)
        self.shp_browse_btn.clicked.connect(self.shapefile_browse)

    def shapefile_browse(self):
        s = QSettings("PAGGF", "PAGGF")
        last_shp_path = s.value("lastSHPParcelPath", ".")

        if not os.path.exists(last_shp_path):
            last_shp_path = os.getcwd()
        shp_path, _ = QFileDialog.getOpenFileName(
            self, "Ouvrir le fichier SHP", last_shp_path, "*.shp *.csv *gpx")

        s.setValue("lastSHPParcelPath", shp_path)
        QgsMessageLog.logMessage(shp_path, 'PAGG', QgsMessageLog.ALL)

        self.shp_path_field.setText(shp_path)

    def shp_path(self):
        return self.shp_path_field.text()
